/* class comment */!!

inherit(Object, #CLIShowNode, #(showType), 2, nil)!!

now(class(CLIShowNode))!!

now(CLIShowNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self | errorMessage)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("show");
  select
    case showType = TECHO    is CLICodeCompile("Command");  endCase;
    case showType = TRESULTS is CLICodeCompile("Results");  endCase;
    case showType = TLOGGING is CLICodeCompile("Logging");  endCase;
    default
      errorMessage := getFormattedError(ErrorTextLibClass$Inst, 
         ER_CLI_INTERNAL_ERROR, "CLIShowNode:CLICodeCompile", nil, nil);
      syntaxError(self, nil, errorMessage );
      /* syntaxError unravels call stack, and does not return */
  endSelect;
  CLICodeCompile("(self))");
}!!

Def init(self, a1)
{
  showType := a1;
}!!
